(*
    Confluence System Design Language Compiler
    Copyright (C) 2003-2004 Tom Hawkins (tomahawkins@yahoo.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
*)


type states = States of state list

and state = StateInvalid of string
          | StateValid   of string
          | StateCond    of string * transition list

and transition = Trans  of expression * string
               | TransE of string

and expression = ExprName of string
               | ExprNot  of expression
               | ExprAnd  of expression * expression
               | ExprOr   of expression * expression;;


val infoExpr   : expression -> string;;
val infoStates : states -> string;;
val nameUpperCase : string -> string;;

